# WBB Lite 1 to MyBB Migration Tools
Developer, author: Thorsten Wernicke / [ExiTuS] / [ETS]
https://wernicke.me

These tools are intended or free use.

---

## Description:
These tools will convert and migrate a Woltlab Burning Board (WBB) Lite v1.0.2 pl3 into MyBB v1.8.


## Objects of migration:
The following objects will be covered by the migration and transfered to MyBB:
- Forums, subforums, categories (incl. thread and post count + type and parentlist correction)
- Threads
- Thread prefixes
- Posts (incl. smilies + signature options and edits)
- Polls, poll options and votes
- Users (incl. password conversion, unique hash, login key, birthday conversion, counters and activity)
- User avatars
- Buddies and users ignored
- User profile fields
- User titles (ranks)
- Announcements
- Events
- Forum subscriptions
- Thread subscriptions
- Icons (incl. path corrections)
- Smilies (incl. path corrections)
- Private messages and custom folders


## Pre-requisites:
MyBB v1.8 needs to be installed and working with an administrator account - source and destination schemas must be located in the same database server. It is recommended to use the latest MyBB version (https://mybb.com/download/).
Chose a different table prefix for the new MyBB install.


## Migration process:
1. Make your custom changes to the config file: migrate_globals.php
   Setup your database connection as well as table prefixes, Administrator ID and the number of splitted inserts
2. Copy all files to any location of your webspace (e.g. subfoler of your MyBB installation: ./mybb/*_migrate_*.php)
3. Run each PHP file for a granular migration in the specified numbered order
   IMPORTANT: Due to data dependencies, it is mandatory to run the scripts in the specified numbered order: 01_*, 02_*, 03_* etc
4. Copy necessary image files into place, e.g. ./imges/smilies/*, ./images/icons/* and ./uploads/avatars/*
5. Make all neccessary board settings in Admin-CP
6. Run a manual refresh on all counters in Cache Manager
7. Check and ensure users and group and permissions
8. Recreate custom BB/MyCodes
9. (optional) Set up URL redirections with files attached (redirect_url/*) to keep all internet links alive. Either apply the .htaccess rules or upload both files 'board.php' and 'thread.php'. If you are using different directories, make changes to the pathes properly. Both files act as HTTP header redirects from the old URL to new MyBB URL.


## Note:
These scripts are designed to run from a terminal console (CLI) with plain text output only.
You can run the scripts from the browser of course (plain and not HTTP compliant). Consider the risk of HTTP timeouts depending on the size of your database/tables.
Some tables with potential for a heavy data load will be imported using a splitted data volume. The number of rows can be manually defined in the config file; default rows: 100.
This migration tools will not touch any files in the filesystem. It performs database reads, conversions and imports only.


## Using PHP CLI:
Establish a connection to your webserver and open a terminal/shell session with administrator privileges.
Navigate to the scripts folder and run each PHP scripts in the specified numbered order, like this:
root@server:/web/htdocs/mybb/migration/> php 00_migrate_source_stats.php


### Tables to be migrated, merged or converted
Source table -> Destination table
avatars -> users
boards -> forums
folders -> users
groups -> groups
icons -> icons
options -> settings
polloptions -> polls
polls -> polls
posts -> posts
privatemessages -> privatemessages
profilefields -> profilefields
ranks -> usertitles
smilies -> smilies
subscribeboards -> forumsubscriptions
subscribethreads -> threadsubscriptions
threads -> threads
threads -> threadprefixes
userfields -> userfields
users -> users
votes -> polls


### The download package of the migration tools contains the following files:
00_migrate_source_stats.php
01_migrate_forums.php
02_migrate_threads.php
03_migrate_threadprefixes.php
04_migrate_posts.php
05_migrate_polls.php
06_migrate_announcements.php
07_migrate_events.php
11_migrate_icons.php
12_migrate_smilies.php
13_migrate_subscription_forums.php
14_migrate_subscription_threads.php
15_migrate_users.php
16_migrate_user_titles.php
17_migrate_profilefields.php
18_migrate_users_avatars.php
20_migrate_users_private.php
migrate_globals.php
README_migrate_wbb1_to_mybb.md

---

Developer, author: Thorsten Wernicke / [ExiTuS] / [ETS]
https://wernicke.me

*MyBB Community contacts*
EN:	https://community.mybb.com/user-128511.html
DE:	https://www.mybb.de/forum/user-11096.html

(c)2023-2024 Thorsten Wernicke, all rights reserved